# Makefile for device directory of CDEV
# 
# cdev device directory
#
# Makefile,v
# Revision 1.9  1998/08/17  14:04:57  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.8  1996/09/20  12:24:52  akers
# Changes added for Release 1.4
#
# Revision 1.6  1996/06/26  15:54:14  akers
# Modifications to support multiple OS Versions
#
# Revision 1.5  1996/05/14  20:38:09  akers
# Makefile modifications
#
# Revision 1.4  1995/12/08  15:38:27  chen
# add inline files
#
# Revision 1.3  1995/11/14  17:37:02  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

OBJS =  $(OBJTYPE)/cdevIOcontext.o \
	$(OBJTYPE)/cdevDevice.o \
	$(OBJTYPE)/cdevRequestObject.o \
	$(OBJTYPE)/cdevErrReqObject.o

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp *.h *.i $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
